﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using ClientOM = Microsoft.SharePoint.Client;

namespace SPReadListData
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnExit_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void btnLoadData_Click(object sender, EventArgs e)
        {
            string SPUrl = txtbxSPURL.Text;
            IEnumerable<ClientOM.ListItem> myListItems;
            List<BlogInfo> myBlogs = new List<BlogInfo>();
            ClientOM.ClientContext SPContext = new ClientOM.ClientContext(SPUrl);
            ClientOM.Web mySPSite = SPContext.Web;
            ClientOM.ListCollection myListCollection = mySPSite.Lists;
            var productsList = SPContext.Web.Lists.GetByTitle("Blog");
            ClientOM.CamlQuery myCamlQuery = new ClientOM.CamlQuery();
            IQueryable<ClientOM.ListItem> myList = productsList.
            GetItems(myCamlQuery);
            myListItems = SPContext.LoadQuery(myList);
            SPContext.ExecuteQuery();
            var returnedListData = from prod in myListItems
                                   select prod;
            foreach (ClientOM.ListItem tempListItem in returnedListData)
            {
                BlogInfo tempBlog = new BlogInfo();
                tempBlog.BlogTitle = tempListItem.FieldValues.Values.ElementAt(1).ToString();
                tempBlog.BlogContent = tempListItem.FieldValues.Values.ElementAt(4).ToString();
                tempBlog.BlogAuthor = tempListItem.FieldValues.Values.ElementAt(5).ToString();
                myBlogs.Add(tempBlog);
            }
            dtgrdSPListData.DataSource = myBlogs;
        }
    }
}
